server:
  port: 8088
  servlet:
    contextPath: /api

spring:
  jackson:
    time-zone: Asia/Shanghai
    date-format: yyyy-MM-dd HH:mm:ss

  application:
    name: collect_fee

  datasource:
    name: test
    url: jdbc:mysql://47.96.80.97:3306/daya_pay?useUnicode=true&characterEncoding=UTF8&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai
    username: root
    password: dayayuemeng2019
  #  url: jdbc:mysql://localhost:3306/daya_pay?useUnicode=true&characterEncoding=UTF8&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai
  #  username: root
  #  password: dayayuemeng2019
    # 使用druid数据源
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    filters: stat
    maxActive: 20
    initialSize: 1
    maxWait: 60000
    minIdle: 1
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20
    
  redis:
    host: 47.99.212.176
    port: 6379
    password: 
    database: 0
    #连接超时时间（毫秒）
    timeout: 10000

    jedis:
      pool:
        #连接池最大连接数（使用负值表示没有限制）
        max-active: 10
        #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1
        #连接池中的最大空闲连接
        max-idle: 10
        #连接池中的最小空闲连接
        min-idle: 0
mybatis:
    mapperLocations: classpath:config/mybatis/*.xml
#   configuration:
#      log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    
logging:
  config: classpath:logback-spring.xml
  path: c:/var/logs

yq-pay:
  pay-host: https://qyfapi.95epay.com
  query-host: https://qyfquery.95epay.com
  notify-url: https://pay.dayaedu.com/api/yqpay/notify #通知
  return-host: https://pay.dayaedu.com #支付返回
  merno: 0021677

common:
  properties:
    mec-publicKey: 96e021bdc8c20c5afe238bf2ba12c171
    mec-url: http://47.94.172.18:9001/api/sys
    key: 96e021bdc8c20c5afe238bf2ba12c171
    keyId: 1490
    sms-appId: EUCP-EMY-SMS1-1AIHP
    sms-secretKey: CBA790799C876DAD
    sms-host-dev: http://bjksmtn.b2m.cn
    sms-send-request-url: https://pay.dayaedu.com/#/home?

